%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2
%define major 5

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebchannel %mklibname qt5webchannel %qtmajor
%define libqtwebchannel_d %mklibname qt5webchannel -d

%if %snapshot
%define qttarballdir qtwebchannel-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtwebchannel-everywhere-src-%{qtversion}
%endif

Name: qtwebchannel5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt WebChannel component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: pkgconfig(Qt5Quick) >= %version


#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt WebChannel module offers Qt applications a seamless way to publish QObjects
for interaction with HTML/JavaScript clients. These clients can either be inside
local Qt WebViews or any other, potentially remote, client which supports
JavaScript, as long as a communication channel such as WebSocket is available.

Qt WebChannel uses introspection on the QObjects and sends this serialized data
to the clients. There, with the help of a small JavaScript library, an object is
created which simulates the API of the QObject. Any invokable methods, including
slots, can be called as well as properties read and written. Additionally you can
connect to signals and register JavaScript callbacks as handlers.

%files
%_qt5_qml/QtWebChannel
%_qt5_examplesdir/webchannel

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtWebChannel%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebChannel5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebchannel.qch
%{_qt5_docdir}/qtwebchannel/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
# Fix naming glitch in cauldron (mga6)
Obsoletes: %{_lib}qtwebchannel5 < 5.6.0-2

%description -n %{libqtwebchannel}
Qt%{qtmajor} Component Library.

%files -n %{libqtwebchannel}
%{_qt5_libdir}/libQt5WebChannel.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt
Requires: %{libqtwebchannel} = %version
Provides: libqtwebchannel5-devel = %version
Provides: libqt5webchannel-devel = %version
Provides: qtwebchannel5-devel = %version
Provides: qt5webchannel-devel = %version

Provides: libqtwebchannel-private-devel = %version
Provides: libqtwebchannel5-private-devel = %version
Provides: libqt5webchannel-private-devel = %version
Provides: qtwebchannel-private-devel = %version
Provides: qt5webchannel-private-devel = %version

%description -n %{libqtwebchannel_d}
Devel files needed to build apps based on %name.

%files -n %{libqtwebchannel_d}
%{_qt5_libdir}/libQt5WebChannel.so
%{_qt5_libdir}/libQt5WebChannel.prl
%{_qt5_libdir}/pkgconfig/Qt5WebChannel.pc
%{_qt5_includedir}/QtWebChannel
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel.pri
%{_qt5_libdir}/cmake/Qt5WebChannel
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebchannel-everywhere-src-%{qtversion}
#autopatch -p1

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Thu Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
